package de.hft.stuttgart.citydoctor2.datastructure;

import de.hft.stuttgart.citydoctor2.parser.CityGmlParseException;
import de.hft.stuttgart.citydoctor2.parser.CityGmlParser;
import de.hft.stuttgart.citydoctor2.parser.InvalidGmlFileException;
import de.hft.stuttgart.citydoctor2.parser.ParserConfiguration;
import org.junit.Test;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertNotNull;

public class CompositePolygonTest {

    @Test
    public void testCompositePolygonParsing() throws CityGmlParseException, InvalidGmlFileException {
        ParserConfiguration config = new ParserConfiguration(8, false);
        CityDoctorModel m = CityGmlParser.parseCityGmlFile("src/test/resources/FZK_haus.gml", config);

        Building b = m.getBuildings().get(0);
        assertNotNull(b);
        assertFalse(b.getBoundarySurfaces().isEmpty());
        for (BoundarySurface bs : b.getBoundarySurfaces()) {
            assertNotNull(bs);
            assertFalse(bs.getGeometries().isEmpty());
            for (Geometry geom : bs.getGeometries()) {
                assertNotNull(geom);
                assertFalse(geom.getPolygons().isEmpty());
            }
        }


    }
}
